Bug 212917 - (DB-DataObject) Review Request: php-pear-DB-DataObject - An SQL Builder, Object Interface to Database Tables
Review Request: php-pear-DB-DataObject - An SQL Builder, Object Interface to ...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT DataObj-FormBuilder
  Show dependency treegraph
 
Reported: 2006-10-29 22:51 EST by Christopher Stone
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-21 09:34:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
jwboyer: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Christopher Stone 2006-10-29 22:51:35 EST
Spec URL: http://tkmame.retrogames.com/fedora-extras/php-pear-DB-DataObject.spec
SRPM URL: http://tkmame.retrogames.com/fedora-extras/php-pear-DB-DataObject-1.8.4-1.src.rpm

Description:
DataObject performs 2 tasks:
1. Builds SQL statements based on the objects vars and the builder methods.
2. acts as a datastore for a table row.

The core class is designed to be extended for each of your tables so that you
put the data logic inside the data classes. Included is a Generator to make
your configuration files and your base classes.
Comment 1 Jason Tibbitts 2006-11-15 13:45:55 EST
Something's odd with the changelog entry; it shows version 1.0.0-0.1.RC5 but the
package version is 1.8.4.  This causes an rpmlint complaint:
W: php-pear-DB-DataObject incoherent-version-in-changelog 1.0.0-0.1.RC5 1.8.4-1.fc7

There's also this:

E: php-pear-DB-DataObject non-executable-script
/usr/share/pear/DB/DataObject/createTables.php 0644

I think this is actually an end-user executable.  Should it really be buried
under /usr/share, or should it be in /usr/bin?

* source files match upstream:
   770c44d243066340d639b063235dcc02  DB_DataObject-1.8.4.tgz
* package meets naming and packaging guidelines.
X The spec is fine except for the changelog.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.  License text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
X rpmlint has valid complaints.
* final provides and requires are sane:
   php-pear(DB_DataObject) = 1.8.4
   php-pear-DB-DataObject = 1.8.4-1.fc7
  =
   /bin/sh
   /usr/bin/pear
   php-pear(DB)
   php-pear(Date)
   php-pear(MDB2)
   php-pear(PEAR)
   php-pear(Validate)
* %check is not present; no test suite upstream.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
? not sure about file permissions.
* scriptlets are OK (pear module installation).
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
Comment 2 Christopher Stone 2006-11-17 13:40:16 EST
I have moved the createTables script to %{_bindir} and created a link to its old
location because the documentation says to find it there.

The version number was a copy&paste error on my part from the FormBuilder package.

SPEC: http://tkmame.retrogames.com/fedora-extras/php-pear-DB-DataObject.spec
SRPM:
http://tkmame.retrogames.com/fedora-extras/php-pear-DB-DataObject-1.8.4-2.src.rpm

%changelog
* Fri Nov 17 2006 Christohper Stone <chris.stone@gmail.com> 1.8.4-2
- Fix version number in %%changelog
- Add versioned Requires
- Move createTables script to %%{_bindir}
Comment 3 Jason Tibbitts 2006-11-17 21:02:09 EST
Looks good to me; rpmlint is quiet now.  I'm not really sure about the symlink
(I'd rather just ignore or patch the documentation) but I don't think it hurts
anything.

APPROVED
Comment 4 Christopher Stone 2006-11-21 09:34:05 EST
Build on devel succeeded.  Thanks for the review.
Comment 5 Christopher Stone 2007-04-23 20:27:10 EDT
Branch Package CVS Request
=======================
Package Name: php-pear-DB-DataObject
Short Description: An SQL Builder, Object Interface to Database Tables
Owners: chris.stone@gmail.com
Branches: EL-5
InitialCC: 

Note You need to log in before you can comment on or make changes to this bug.